dagsar(1)

NAME
dagsar - Endace DAG card segmentation and reassembly utility

SYNOPSIS
dagsar [options] [commands]

DESCRIPTION
dagsar configures the Coprocessor-based ATM Reassembler on Endace DAG cards.

OPTIONS

-a  Only show statistics for port A.

-b  Only show statistics for port B (dual-channel cards only).

-c COUNTERS
    Load steerable counters (up to 8, depending on the firmware image). COUNTERS is a comma-separated list of numbers.

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-e  Show extended statistics counters.

-h

-?

--help

--usage
    Display usage (help) information.

-i NUM
    Repeat statistics at NUM second intervals.

-p  Show (DDR) performance statistics counters.

-s  Show statistics counters.

-t  Show Coprocessor temperatures in degrees C.

-u  Show utilization statistics (as percentages).

-v

-vv

-vvv

--version
    Increase output verbosity.

-V

--version
    Display version information.

The commands available are as follows:

    default
        Reset SAR to default settings.

    reset
        Reset SAR.

    uni Set UNI mode.

    nni Set NNI mode.

    enablesar
        Start SAR.

    disablesar
        Pause SAR.

    long=NUM
        Set the maximum length packet to reassemble to NUM.

    pathoam
        Enable Path OAM capture.

    nopathoam
        Disable Path OAM capture.

EXAMPLES
dagsar needs the Coprocessor to have a valid firmware image. The Coprocessor firmware image can be loaded using the dagld(1) utility. Please refer to the user's manual for further information about loading firmware images into the Coprocessor.

Prior to use the Coprocessor must be initialized with the command:
    dagsar -d dag0 default
(assuming that the Coprocessor is attached to DAG card 0).

To view the statistics counters on the card:
    dagsar -d dag0 -s

or simply:
    dagsar -s

since dag0 is the default card.

To show extended statistics on the card:
    dagsar -d dag0 -e

SEE ALSO
dagld(1), dagthree(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13727 $
$Date: 2011-01-14 17:10:32 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.